Bug 969235 - Add version check tests for server utilities
Add version check tests for server utilities
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: scheduler (Show other bugs)
develop
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 24.0
: ---
Assigned To: Dan Callaghan
tools-bugs
ImplementationQuality
: FutureFeature, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 21:49 EDT by Nick Coghlan
Modified: 2017-02-21 13:50 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-21 13:50:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Coghlan 2013-05-30 21:49:58 EDT
Several of the server command line tools report a hardcoded version of "0.1". Some of these tools can also be broken without causing an obvious failure in the unittest suite.

A sanity check test that ensures the output of "<command> --version" matches the expected Beaker for version for each of these scripts would ensure that:

1. At least import failures resulting from changes in other parts of the code will be detected by the test suite, even if full operation of the tool is not yet covered.

2. The tools report the correct version.
Comment 1 wangjing 2013-06-20 22:51:52 EDT
(In reply to Nick Coghlan from comment #0)
> 
> A sanity check test that ensures the output of "<command> --version" matches
> the expected Beaker for version for each of these scripts would ensure that:
> 

hi, what is the specific command for version check tests? thanks.
Comment 2 Nick Coghlan 2013-06-20 22:59:20 EDT
Documenting the server utilities is covered by bug 970403

The approximate list is given by the "console_scripts" entry in the server setup.py: http://git.beaker-project.org/cgit/beaker/tree/Server/setup.py.in?h=develop#n203
Comment 4 Dan Callaghan 2016-10-24 22:13:14 EDT
http://gerrit.beaker-project.org/5353
Comment 5 Dan Callaghan 2016-10-24 22:14:39 EDT
This picked up a few other pre-existing problems with stderr spew, so it was  definitely worthwhile.

http://gerrit.beaker-project.org/5354 beaker-repo-update: don't spew pointless warnings about RHEL repos
http://gerrit.beaker-project.org/5355 beaker-create-kickstart: fix unicode warnings
http://gerrit.beaker-project.org/5356 tests: run server commands in subprocesses wherever possible
Comment 6 Dan Callaghan 2016-11-07 01:55:57 EST
This bug fix is included in beaker-server-24.0-0.git.194.c515848 which is currently available for download here:

https://beaker-project.org/nightlies/develop/
Comment 8 Dan Callaghan 2017-02-21 13:50:40 EST
Beaker 24.0 has been released.

Note You need to log in before you can comment on or make changes to this bug.